<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-65: Pompano Beach Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-65: Pompano Beach Service Plaza</center></B>
<br>
Pompano Beach Service Plaza at Mile Marker 65 - This plaza is located near Margate, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>Service Station: 954-978-8714</I><br>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
</I>
<br>
<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>Dunkin Donuts<br>
Pizza Hut<br>
Totally Bananas<br>
Wendy's<br>
</I>
</font>
</prev></body>
</html>
